In order to better protect customer information, we’re updating BestBuy.ca so it’s fully compliant with the TLS 1.2 encryption standard. Once the update is complete in late June 2018, any browsers that do NOT support TLS 1.2 won’t be able to visit our site.

We hope to keep seeing you in the future, so please check out the FAQs below for everything you need to know about making sure your web browser supports TLS 1.2.

What is TLS 1.2 encryption?

Encryption is an important part of how the internet works, and helps to ensure your private information stays private when you’re shopping, browsing, or doing almost anything online.

There are different types of standards for encryption, and TLS (Transport Layer Security) 1.2 is one of the latest. All major internet services either are supporting TLS 1.2 or will be supporting it soon.

Which devices does this affect?

Any device that you use a web browser on! This includes laptops and desktop computers (using Windows, Mac OS, Chrome OS, or Linux), and smartphones and tablets (using Android or iOS).

If you use a web browser (like Chrome, Firefox, Safari, etc.) on any of these devices you should check if the browser supports TLS 1.2.

How can I check if my browser supports TLS 1.2?

1) Check which operating system is loaded on your device, and which version it is. The main options are Microsoft Windows, Mac OS, Linux, iOS, and Android.

2) Identify the browser (or browsers) you use, and the version number. Chrome, Firefox, Safari, Internet Explorer, and Opera are the most popular browsers.

3) Consult the chart below to see if your browser supports TLS 1.2. If it doesn’t, you should upgrade to the newest version of the browser.

OPERATING SYSTEM REQUIRED BROWSER VERSION(S)
Android 2.3 or higher ·         Firefox 24 or higher
Android 4.0 or higher ·         Chrome 30 or higher

·         Firefox 24 or higher

·         Opera Mobile (Webkit/Blink) version 17 or higher

iOS 6 or higher ·         Chrome 30 or higher

·         Safari 6 or higher

Linux ·         Chrome 30 or higher

·         Firefox 24 or higher

·         Opera Mobile (Webkit/Blink) version 17 or higher

Mac OS X 10.6 ·         Firefox 24 or higher
Mac OS X 10.7 ·         Chrome 30 or higher

·         Firefox 24 or higher

·         Opera Mobile (Webkit/Blink) version 17 or higher

Mac OS X 10.9 or higher ·         Chrome 30 or higher

·         Firefox 24 or higher

·         Safari 7 or higher

·         Opera Mobile (Webkit/Blink) version 17 or higher

Windows 7 or higher ·         Chrome 30 or higher

·         Firefox 24 or higher

·         Internet Explorer 8 or higher

Windows Vista ·         Chrome 30 or higher

·         Firefox 24 or higher

Windows XP with Service Pack 3 or higher ·         Chrome 30 or higher

·         Firefox 24 or higher

 

What if I DON’T upgrade to a browser that supports TLS 1.2?

Since TLS 1.2 is now the industry standard for transmitting sensitive information over the internet through a web browser, it is required for any online financial transactions (like shopping). We’re updating BestBuy.ca to be fully compliant with this standard.

If your browser doesn’t support TLS 1.2, you won’t be able to visit BestBuy.ca after we finish the update in late June 2018.

How can I get more info about TLS 1.2?

The Canada Revenue Agency (CRA) has a very detailed page with lots of info about TLS 1.2, including how to make sure your device is compliant with this important standard.

1 COMMENT

Comments are closed.